All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals.util
Interface LayoutConstants

All Known Implementing Classes:
  ActionUIFactory, CheckBoxTree, CheckBoxTreeCellRendererWrapper, DataItemSelector, DisplayTransformCustomizerPanel, EntityAttributeValueDialog, FilterAndRankSelector, FormatSelector, FormatSelectorPanel, JComponentCustomizerPanel, JComponentModelCustomizerPanel, OLAPHeaderRenderer, OLAPSortSelector, OptionsDialog, PercentCalculationsSelector, QualifiersDialog, RangeTypesViewPanel, ResourceLocatorInterfaceCustomizerPanel, SelectorDialog, SimpleCalculatedItemEditPanel, SimpleCalculatedItemSelector, SortSelector, SwingCustomizerPanel, TotalsSelector

    public interface LayoutConstants

Field Summary
`static java.awt.Insets` | `DOTS_BUTTON_INSETS` The margin for use on buttons that contain the text "...".
`static java.awt.Insets` | `EMPTY_INSETS` An empty insets object (0 for all values).
`static int` | `HGAP` A value for a horizontal gap between components in a layout manager.
`static int` | `HMARGIN` A value for a horizontal margin between a panel and its parent panel or window.
`static javax.swing.border.AbstractBorder` | `INDENTED_BORDER`
`static javax.swing.border.AbstractBorder` | `TAB_BORDER` A common border for use on tabs in tabbed panes.
`static java.awt.Insets` | `TEXTFIELD_INSETS` The margin for use on JTextField objects such that there is an acceptable gap between the drawn text and the edge of the component.
`static int` | `VGAP` A value for a vertical gap between components in a layout manager.
`static int` | `VMARGIN` A value for a vertical margin between a panel and its parent panel or window.

Field Detail

### DOTS_BUTTON_INSETS

    static final java.awt.Insets DOTS_BUTTON_INSETS

  The margin for use on buttons that contain the text "...". These buttons typically indicate that a customizer or editor is displayed as a result of this button being pressed.

### TEXTFIELD_INSETS

    static final java.awt.Insets TEXTFIELD_INSETS

  The margin for use on JTextField objects such that there is an acceptable gap between the drawn text and the edge of the component.

### EMPTY_INSETS

    static final java.awt.Insets EMPTY_INSETS

  An empty insets object (0 for all values). Instead of creating a new insets object for this purpose in various panels, this object can be used.

### HGAP

    static final int HGAP

  A value for a horizontal gap between components in a layout manager.

  See Also:
    Constant Field Values

### VGAP

    static final int VGAP

  A value for a vertical gap between components in a layout manager.

  See Also:
    Constant Field Values

### HMARGIN

    static final int HMARGIN

  A value for a horizontal margin between a panel and its parent panel or window.

  See Also:
    Constant Field Values

### VMARGIN

    static final int VMARGIN

  A value for a vertical margin between a panel and its parent panel or window.

  See Also:
    Constant Field Values

### TAB_BORDER

    static final javax.swing.border.AbstractBorder TAB_BORDER

  A common border for use on tabs in tabbed panes. This is basically an empty border with inset values of `HMARGIN` and `VMARGIN`.

### INDENTED_BORDER

    static final javax.swing.border.AbstractBorder INDENTED_BORDER

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.